> ## Documentation Index
> Fetch the complete documentation index at: https://modem.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List stories

> List generated stories for an organization.



## OpenAPI

````yaml /api-reference/openapi.json get /stories
openapi: 3.1.1
info:
  description: >-
    The public Modem API. Authenticate with an organization API key:
    `Authorization: Bearer modem_…`.
  title: Modem API
  version: 1.0.0
servers:
  - description: Production
    url: https://api.modem.dev/v1
security:
  - bearerAuth: []
paths:
  /stories:
    get:
      tags:
        - Stories
      summary: List stories
      description: List generated stories for an organization.
      operationId: stories.list
      parameters:
        - allowEmptyValue: true
          allowReserved: true
          in: query
          name: bucket
          required: false
          schema:
            default: everything
            enum:
              - archived
              - everything
              - for-you
              - unread
            type: string
        - allowEmptyValue: true
          allowReserved: true
          in: query
          name: limit
          required: false
          schema:
            maximum: 100
            minimum: 1
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  archivedCount:
                    minimum: 0
                    type: integer
                  everythingCount:
                    minimum: 0
                    type: integer
                  forYouCount:
                    minimum: 0
                    type: integer
                  stories:
                    items:
                      properties:
                        archive:
                          anyOf:
                            - properties:
                                actor:
                                  anyOf:
                                    - properties:
                                        name:
                                          const: Modem Agent
                                        type:
                                          const: agent
                                      required:
                                        - name
                                        - type
                                      type: object
                                    - properties:
                                        image:
                                          anyOf:
                                            - anyOf:
                                                - type: string
                                                - type: 'null'
                                              description: Optional URL to the user avatar image.
                                              title: Image
                                            - type: 'null'
                                        name:
                                          type: string
                                        type:
                                          const: member
                                        userId:
                                          anyOf:
                                            - anyOf:
                                                - type: string
                                                - type: string
                                            - type: 'null'
                                      required:
                                        - image
                                        - name
                                        - type
                                        - userId
                                      type: object
                                archivedAt:
                                  format: date-time
                                  type: string
                                reason:
                                  anyOf:
                                    - type: string
                                    - type: 'null'
                              required:
                                - actor
                                - reason
                              type: object
                            - type: 'null'
                        createdAt:
                          format: date-time
                          type: string
                        draft:
                          additionalProperties: false
                          properties:
                            detail:
                              additionalProperties: false
                              properties:
                                main:
                                  additionalProperties: false
                                  properties:
                                    elements:
                                      additionalProperties:
                                        anyOf:
                                          - additionalProperties: false
                                            properties:
                                              children:
                                                default: []
                                                items:
                                                  maxLength: 80
                                                  minLength: 1
                                                  pattern: ^[a-zA-Z0-9_-]+$
                                                  type: string
                                                maxItems: 24
                                                type: array
                                              props:
                                                additionalProperties: false
                                                properties:
                                                  direction:
                                                    default: vertical
                                                    enum:
                                                      - horizontal
                                                      - vertical
                                                    type: string
                                                  gap:
                                                    default: md
                                                    enum:
                                                      - lg
                                                      - md
                                                      - sm
                                                      - xs
                                                    type: string
                                                  wrap:
                                                    default: false
                                                    type: boolean
                                                type: object
                                              type:
                                                const: Stack
                                            required:
                                              - props
                                              - type
                                            type: object
                                          - additionalProperties: false
                                            properties:
                                              children:
                                                default: []
                                                items:
                                                  maxLength: 80
                                                  minLength: 1
                                                  pattern: ^[a-zA-Z0-9_-]+$
                                                  type: string
                                                maxItems: 24
                                                type: array
                                              props:
                                                additionalProperties: false
                                                properties:
                                                  subtitle:
                                                    maxLength: 220
                                                    type: string
                                                  title:
                                                    maxLength: 120
                                                    minLength: 1
                                                    type: string
                                                required:
                                                  - title
                                                type: object
                                              type:
                                                const: Section
                                            required:
                                              - props
                                              - type
                                            type: object
                                          - additionalProperties: false
                                            properties:
                                              children:
                                                default: []
                                                items:
                                                  maxLength: 80
                                                  minLength: 1
                                                  pattern: ^[a-zA-Z0-9_-]+$
                                                  type: string
                                                maxItems: 24
                                                type: array
                                              props:
                                                additionalProperties: false
                                                properties:
                                                  text:
                                                    maxLength: 1200
                                                    minLength: 1
                                                    type: string
                                                  variant:
                                                    default: body
                                                    enum:
                                                      - body
                                                      - caption
                                                      - emphasis
                                                      - muted
                                                    type: string
                                                required:
                                                  - text
                                                type: object
                                              type:
                                                const: Text
                                            required:
                                              - props
                                              - type
                                            type: object
                                          - additionalProperties: false
                                            properties:
                                              children:
                                                default: []
                                                items:
                                                  maxLength: 80
                                                  minLength: 1
                                                  pattern: ^[a-zA-Z0-9_-]+$
                                                  type: string
                                                maxItems: 24
                                                type: array
                                              props:
                                                additionalProperties: false
                                                properties:
                                                  items:
                                                    description: >-
                                                      each item string must be ≤ 240
                                                      characters. Split longer bullet points
                                                      into two shorter items
                                                    items:
                                                      anyOf:
                                                        - {}
                                                        - type: 'null'
                                                    maxItems: 8
                                                    minItems: 1
                                                    type: array
                                                required:
                                                  - items
                                                type: object
                                              type:
                                                const: Bullets
                                            required:
                                              - props
                                              - type
                                            type: object
                                          - additionalProperties: false
                                            properties:
                                              children:
                                                default: []
                                                items:
                                                  maxLength: 80
                                                  minLength: 1
                                                  pattern: ^[a-zA-Z0-9_-]+$
                                                  type: string
                                                maxItems: 24
                                                type: array
                                              props:
                                                additionalProperties: false
                                                properties:
                                                  author:
                                                    maxLength: 120
                                                    minLength: 1
                                                    type: string
                                                  avatar:
                                                    maxLength: 4
                                                    minLength: 1
                                                    type: string
                                                  avatarUrl:
                                                    format: uri
                                                    type: string
                                                  entityRef:
                                                    additionalProperties: false
                                                    properties:
                                                      id: {}
                                                      type: {}
                                                    type: object
                                                  quote:
                                                    maxLength: 700
                                                    minLength: 1
                                                    type: string
                                                  sourceHref:
                                                    maxLength: 240
                                                    type: string
                                                  sourceLabel:
                                                    default: View in Topic
                                                    maxLength: 80
                                                    type: string
                                                  sourceRefId:
                                                    maxLength: 160
                                                    minLength: 1
                                                    type: string
                                                required:
                                                  - author
                                                  - quote
                                                type: object
                                              type:
                                                const: Quote
                                            required:
                                              - props
                                              - type
                                            type: object
                                          - additionalProperties: false
                                            properties:
                                              children:
                                                default: []
                                                items:
                                                  maxLength: 80
                                                  minLength: 1
                                                  pattern: ^[a-zA-Z0-9_-]+$
                                                  type: string
                                                maxItems: 24
                                                type: array
                                              props:
                                                additionalProperties: false
                                                properties:
                                                  avatars:
                                                    default: []
                                                    items:
                                                      anyOf:
                                                        - {}
                                                        - type: 'null'
                                                    maxItems: 4
                                                    type: array
                                                  reportedBy:
                                                    maxLength: 160
                                                    minLength: 1
                                                    type: string
                                                  reportedMeta:
                                                    maxLength: 160
                                                    minLength: 1
                                                    type: string
                                                required:
                                                  - reportedBy
                                                  - reportedMeta
                                                type: object
                                              type:
                                                const: Attribution
                                            required:
                                              - props
                                              - type
                                            type: object
                                          - additionalProperties: false
                                            properties:
                                              children:
                                                default: []
                                                items:
                                                  maxLength: 80
                                                  minLength: 1
                                                  pattern: ^[a-zA-Z0-9_-]+$
                                                  type: string
                                                maxItems: 24
                                                type: array
                                              props:
                                                additionalProperties: false
                                                properties:
                                                  tags:
                                                    items:
                                                      anyOf:
                                                        - {}
                                                        - type: 'null'
                                                    maxItems: 12
                                                    minItems: 1
                                                    type: array
                                                required:
                                                  - tags
                                                type: object
                                              type:
                                                const: TagCloud
                                            required:
                                              - props
                                              - type
                                            type: object
                                          - additionalProperties: false
                                            properties:
                                              children:
                                                default: []
                                                items:
                                                  maxLength: 80
                                                  minLength: 1
                                                  pattern: ^[a-zA-Z0-9_-]+$
                                                  type: string
                                                maxItems: 24
                                                type: array
                                              props:
                                                additionalProperties: false
                                                properties:
                                                  metrics:
                                                    items:
                                                      anyOf:
                                                        - {}
                                                        - type: 'null'
                                                    maxItems: 4
                                                    minItems: 1
                                                    type: array
                                                required:
                                                  - metrics
                                                type: object
                                              type:
                                                const: MetricStrip
                                            required:
                                              - props
                                              - type
                                            type: object
                                          - additionalProperties: false
                                            properties:
                                              children:
                                                default: []
                                                items:
                                                  maxLength: 80
                                                  minLength: 1
                                                  pattern: ^[a-zA-Z0-9_-]+$
                                                  type: string
                                                maxItems: 24
                                                type: array
                                              props:
                                                additionalProperties: false
                                                properties:
                                                  items:
                                                    items:
                                                      anyOf:
                                                        - {}
                                                        - type: 'null'
                                                    maxItems: 6
                                                    minItems: 2
                                                    type: array
                                                required:
                                                  - items
                                                type: object
                                              type:
                                                const: Milestones
                                            required:
                                              - props
                                              - type
                                            type: object
                                          - additionalProperties: false
                                            properties:
                                              children:
                                                default: []
                                                items:
                                                  maxLength: 80
                                                  minLength: 1
                                                  pattern: ^[a-zA-Z0-9_-]+$
                                                  type: string
                                                maxItems: 24
                                                type: array
                                              props:
                                                additionalProperties: false
                                                properties:
                                                  columns:
                                                    items:
                                                      anyOf:
                                                        - {}
                                                        - type: 'null'
                                                    maxItems: 4
                                                    minItems: 2
                                                    type: array
                                                  rows:
                                                    items:
                                                      anyOf:
                                                        - {}
                                                        - type: 'null'
                                                    maxItems: 10
                                                    minItems: 1
                                                    type: array
                                                required:
                                                  - columns
                                                  - rows
                                                type: object
                                              type:
                                                const: Table
                                            required:
                                              - props
                                              - type
                                            type: object
                                          - additionalProperties: false
                                            properties:
                                              children:
                                                default: []
                                                items:
                                                  maxLength: 80
                                                  minLength: 1
                                                  pattern: ^[a-zA-Z0-9_-]+$
                                                  type: string
                                                maxItems: 24
                                                type: array
                                              props:
                                                additionalProperties: false
                                                properties:
                                                  data:
                                                    items:
                                                      anyOf:
                                                        - {}
                                                        - type: 'null'
                                                    maxItems: 25
                                                    minItems: 1
                                                    type: array
                                                  kind:
                                                    default: line
                                                    enum:
                                                      - bar
                                                      - line
                                                    type: string
                                                  summary:
                                                    maxLength: 240
                                                    type: string
                                                  title:
                                                    maxLength: 120
                                                    minLength: 1
                                                    type: string
                                                  totalLabel:
                                                    maxLength: 80
                                                    minLength: 1
                                                    type: string
                                                  valueLabel:
                                                    maxLength: 48
                                                    minLength: 1
                                                    type: string
                                                required:
                                                  - data
                                                type: object
                                              type:
                                                const: Chart
                                            required:
                                              - props
                                              - type
                                            type: object
                                          - additionalProperties: false
                                            properties:
                                              children:
                                                default: []
                                                items:
                                                  maxLength: 80
                                                  minLength: 1
                                                  pattern: ^[a-zA-Z0-9_-]+$
                                                  type: string
                                                maxItems: 24
                                                type: array
                                              props:
                                                additionalProperties: false
                                                properties:
                                                  summary:
                                                    maxLength: 240
                                                    type: string
                                                  title:
                                                    maxLength: 120
                                                    minLength: 1
                                                    type: string
                                                  totalLabel:
                                                    maxLength: 80
                                                    minLength: 1
                                                    type: string
                                                  weeklyActivity:
                                                    items:
                                                      anyOf:
                                                        - {}
                                                        - type: 'null'
                                                    maxItems: 25
                                                    minItems: 1
                                                    type: array
                                                required:
                                                  - weeklyActivity
                                                type: object
                                              type:
                                                const: ActivityChart
                                            required:
                                              - props
                                              - type
                                            type: object
                                          - additionalProperties: false
                                            properties:
                                              children:
                                                default: []
                                                items:
                                                  maxLength: 80
                                                  minLength: 1
                                                  pattern: ^[a-zA-Z0-9_-]+$
                                                  type: string
                                                maxItems: 24
                                                type: array
                                              props:
                                                additionalProperties: false
                                                properties:
                                                  items:
                                                    items:
                                                      anyOf:
                                                        - {}
                                                        - type: 'null'
                                                    maxItems: 6
                                                    minItems: 1
                                                    type: array
                                                required:
                                                  - items
                                                type: object
                                              type:
                                                const: Timeline
                                            required:
                                              - props
                                              - type
                                            type: object
                                          - additionalProperties: false
                                            properties:
                                              children:
                                                default: []
                                                items:
                                                  maxLength: 80
                                                  minLength: 1
                                                  pattern: ^[a-zA-Z0-9_-]+$
                                                  type: string
                                                maxItems: 24
                                                type: array
                                              props:
                                                additionalProperties: false
                                                properties:
                                                  body:
                                                    maxLength: 700
                                                    minLength: 1
                                                    type: string
                                                  title:
                                                    maxLength: 120
                                                    minLength: 1
                                                    type: string
                                                  tone:
                                                    default: info
                                                    enum:
                                                      - calm
                                                      - error
                                                      - info
                                                      - neutral
                                                      - success
                                                      - warning
                                                    type: string
                                                required:
                                                  - body
                                                  - title
                                                type: object
                                              type:
                                                const: Callout
                                            required:
                                              - props
                                              - type
                                            type: object
                                          - additionalProperties: false
                                            properties:
                                              children:
                                                default: []
                                                items:
                                                  maxLength: 80
                                                  minLength: 1
                                                  pattern: ^[a-zA-Z0-9_-]+$
                                                  type: string
                                                maxItems: 24
                                                type: array
                                              props:
                                                additionalProperties: false
                                                properties:
                                                  actionLabel:
                                                    default: Hand Ticket to Agent
                                                    maxLength: 80
                                                    minLength: 1
                                                    type: string
                                                  actions:
                                                    items:
                                                      anyOf:
                                                        - {}
                                                        - type: 'null'
                                                    maxItems: 4
                                                    type: array
                                                  body:
                                                    maxLength: 900
                                                    minLength: 1
                                                    type: string
                                                required:
                                                  - body
                                                type: object
                                              type:
                                                const: Recommendation
                                            required:
                                              - props
                                              - type
                                            type: object
                                          - additionalProperties: false
                                            properties:
                                              children:
                                                default: []
                                                items:
                                                  maxLength: 80
                                                  minLength: 1
                                                  pattern: ^[a-zA-Z0-9_-]+$
                                                  type: string
                                                maxItems: 24
                                                type: array
                                              props:
                                                additionalProperties: false
                                                properties:
                                                  people:
                                                    items:
                                                      anyOf:
                                                        - {}
                                                        - type: 'null'
                                                    maxItems: 8
                                                    minItems: 1
                                                    type: array
                                                required:
                                                  - people
                                                type: object
                                              type:
                                                const: PeopleList
                                            required:
                                              - props
                                              - type
                                            type: object
                                          - additionalProperties: false
                                            properties:
                                              children:
                                                default: []
                                                items:
                                                  maxLength: 80
                                                  minLength: 1
                                                  pattern: ^[a-zA-Z0-9_-]+$
                                                  type: string
                                                maxItems: 24
                                                type: array
                                              props:
                                                additionalProperties: false
                                                properties:
                                                  topics:
                                                    items:
                                                      anyOf:
                                                        - {}
                                                        - type: 'null'
                                                    maxItems: 8
                                                    minItems: 1
                                                    type: array
                                                required:
                                                  - topics
                                                type: object
                                              type:
                                                const: TopicList
                                            required:
                                              - props
                                              - type
                                            type: object
                                          - additionalProperties: false
                                            properties:
                                              children:
                                                default: []
                                                items:
                                                  maxLength: 80
                                                  minLength: 1
                                                  pattern: ^[a-zA-Z0-9_-]+$
                                                  type: string
                                                maxItems: 24
                                                type: array
                                              props:
                                                additionalProperties: false
                                                properties:
                                                  href:
                                                    maxLength: 240
                                                    type: string
                                                  hrefLabel:
                                                    maxLength: 80
                                                    type: string
                                                  label:
                                                    maxLength: 80
                                                    minLength: 1
                                                    type: string
                                                  tone:
                                                    default: neutral
                                                    enum:
                                                      - calm
                                                      - error
                                                      - info
                                                      - neutral
                                                      - success
                                                      - warning
                                                    type: string
                                                  value:
                                                    maxLength: 240
                                                    minLength: 1
                                                    type: string
                                                required:
                                                  - label
                                                  - value
                                                type: object
                                              type:
                                                const: StatusBlock
                                            required:
                                              - props
                                              - type
                                            type: object
                                          - additionalProperties: false
                                            properties:
                                              children:
                                                default: []
                                                items:
                                                  maxLength: 80
                                                  minLength: 1
                                                  pattern: ^[a-zA-Z0-9_-]+$
                                                  type: string
                                                maxItems: 24
                                                type: array
                                              props:
                                                additionalProperties: false
                                                properties:
                                                  author:
                                                    maxLength: 120
                                                    type: string
                                                  avatar:
                                                    maxLength: 4
                                                    minLength: 1
                                                    type: string
                                                  avatarUrl:
                                                    format: uri
                                                    type: string
                                                  avatars:
                                                    items:
                                                      anyOf:
                                                        - {}
                                                        - type: 'null'
                                                    maxItems: 4
                                                    type: array
                                                  entityRef:
                                                    additionalProperties: false
                                                    properties:
                                                      id: {}
                                                      type: {}
                                                    type: object
                                                  hrefSlug:
                                                    maxLength: 120
                                                    minLength: 1
                                                    pattern: ^[a-z0-9-]+$
                                                    type: string
                                                  quote:
                                                    maxLength: 700
                                                    type: string
                                                  reportedBy:
                                                    maxLength: 160
                                                    minLength: 1
                                                    type: string
                                                  reportedMeta:
                                                    maxLength: 160
                                                    minLength: 1
                                                    type: string
                                                  sourceHref:
                                                    maxLength: 240
                                                    type: string
                                                  sourceRefId:
                                                    maxLength: 160
                                                    minLength: 1
                                                    type: string
                                                  summary: {}
                                                  tags:
                                                    default: []
                                                    items:
                                                      anyOf:
                                                        - {}
                                                        - type: 'null'
                                                    maxItems: 8
                                                    type: array
                                                  title: {}
                                                required:
                                                  - reportedBy
                                                  - reportedMeta
                                                type: object
                                              type:
                                                const: StoryListItem
                                            required:
                                              - props
                                              - type
                                            type: object
                                          - additionalProperties: false
                                            properties:
                                              children:
                                                default: []
                                                items:
                                                  maxLength: 80
                                                  minLength: 1
                                                  pattern: ^[a-zA-Z0-9_-]+$
                                                  type: string
                                                maxItems: 24
                                                type: array
                                              props:
                                                additionalProperties: false
                                                type: object
                                              type:
                                                const: Divider
                                            required:
                                              - props
                                              - type
                                            type: object
                                      propertyNames:
                                        maxLength: 80
                                        minLength: 1
                                        pattern: ^[a-zA-Z0-9_-]+$
                                        type: string
                                      type: object
                                    root:
                                      maxLength: 80
                                      minLength: 1
                                      pattern: ^[a-zA-Z0-9_-]+$
                                      type: string
                                  required:
                                    - elements
                                    - root
                                  type: object
                                sidebar:
                                  additionalProperties: false
                                  properties:
                                    elements:
                                      additionalProperties:
                                        anyOf:
                                          - additionalProperties: false
                                            properties:
                                              children:
                                                default: []
                                                items:
                                                  maxLength: 80
                                                  minLength: 1
                                                  pattern: ^[a-zA-Z0-9_-]+$
                                                  type: string
                                                maxItems: 24
                                                type: array
                                              props:
                                                additionalProperties: false
                                                properties:
                                                  direction:
                                                    default: vertical
                                                    enum:
                                                      - horizontal
                                                      - vertical
                                                    type: string
                                                  gap:
                                                    default: md
                                                    enum:
                                                      - lg
                                                      - md
                                                      - sm
                                                      - xs
                                                    type: string
                                                  wrap:
                                                    default: false
                                                    type: boolean
                                                type: object
                                              type:
                                                const: Stack
                                            required:
                                              - props
                                              - type
                                            type: object
                                          - additionalProperties: false
                                            properties:
                                              children:
                                                default: []
                                                items:
                                                  maxLength: 80
                                                  minLength: 1
                                                  pattern: ^[a-zA-Z0-9_-]+$
                                                  type: string
                                                maxItems: 24
                                                type: array
                                              props:
                                                additionalProperties: false
                                                properties:
                                                  subtitle:
                                                    maxLength: 220
                                                    type: string
                                                  title:
                                                    maxLength: 120
                                                    minLength: 1
                                                    type: string
                                                required:
                                                  - title
                                                type: object
                                              type:
                                                const: Section
                                            required:
                                              - props
                                              - type
                                            type: object
                                          - additionalProperties: false
                                            properties:
                                              children:
                                                default: []
                                                items:
                                                  maxLength: 80
                                                  minLength: 1
                                                  pattern: ^[a-zA-Z0-9_-]+$
                                                  type: string
                                                maxItems: 24
                                                type: array
                                              props:
                                                additionalProperties: false
                                                properties:
                                                  text:
                                                    maxLength: 1200
                                                    minLength: 1
                                                    type: string
                                                  variant:
                                                    default: body
                                                    enum:
                                                      - body
                                                      - caption
                                                      - emphasis
                                                      - muted
                                                    type: string
                                                required:
                                                  - text
                                                type: object
                                              type:
                                                const: Text
                                            required:
                                              - props
                                              - type
                                            type: object
                                          - additionalProperties: false
                                            properties:
                                              children:
                                                default: []
                                                items:
                                                  maxLength: 80
                                                  minLength: 1
                                                  pattern: ^[a-zA-Z0-9_-]+$
                                                  type: string
                                                maxItems: 24
                                                type: array
                                              props:
                                                additionalProperties: false
                                                properties:
                                                  items:
                                                    description: >-
                                                      each item string must be ≤ 240
                                                      characters. Split longer bullet points
                                                      into two shorter items
                                                    items:
                                                      anyOf:
                                                        - {}
                                                        - type: 'null'
                                                    maxItems: 8
                                                    minItems: 1
                                                    type: array
                                                required:
                                                  - items
                                                type: object
                                              type:
                                                const: Bullets
                                            required:
                                              - props
                                              - type
                                            type: object
                                          - additionalProperties: false
                                            properties:
                                              children:
                                                default: []
                                                items:
                                                  maxLength: 80
                                                  minLength: 1
                                                  pattern: ^[a-zA-Z0-9_-]+$
                                                  type: string
                                                maxItems: 24
                                                type: array
                                              props:
                                                additionalProperties: false
                                                properties:
                                                  author:
                                                    maxLength: 120
                                                    minLength: 1
                                                    type: string
                                                  avatar:
                                                    maxLength: 4
                                                    minLength: 1
                                                    type: string
                                                  avatarUrl:
                                                    format: uri
                                                    type: string
                                                  entityRef:
                                                    additionalProperties: false
                                                    properties:
                                                      id: {}
                                                      type: {}
                                                    type: object
                                                  quote:
                                                    maxLength: 700
                                                    minLength: 1
                                                    type: string
                                                  sourceHref:
                                                    maxLength: 240
                                                    type: string
                                                  sourceLabel:
                                                    default: View in Topic
                                                    maxLength: 80
                                                    type: string
                                                  sourceRefId:
                                                    maxLength: 160
                                                    minLength: 1
                                                    type: string
                                                required:
                                                  - author
                                                  - quote
                                                type: object
                                              type:
                                                const: Quote
                                            required:
                                              - props
                                              - type
                                            type: object
                                          - additionalProperties: false
                                            properties:
                                              children:
                                                default: []
                                                items:
                                                  maxLength: 80
                                                  minLength: 1
                                                  pattern: ^[a-zA-Z0-9_-]+$
                                                  type: string
                                                maxItems: 24
                                                type: array
                                              props:
                                                additionalProperties: false
                                                properties:
                                                  avatars:
                                                    default: []
                                                    items:
                                                      anyOf:
                                                        - {}
                                                        - type: 'null'
                                                    maxItems: 4
                                                    type: array
                                                  reportedBy:
                                                    maxLength: 160
                                                    minLength: 1
                                                    type: string
                                                  reportedMeta:
                                                    maxLength: 160
                                                    minLength: 1
                                                    type: string
                                                required:
                                                  - reportedBy
                                                  - reportedMeta
                                                type: object
                                              type:
                                                const: Attribution
                                            required:
                                              - props
                                              - type
                                            type: object
                                          - additionalProperties: false
                                            properties:
                                              children:
                                                default: []
                                                items:
                                                  maxLength: 80
                                                  minLength: 1
                                                  pattern: ^[a-zA-Z0-9_-]+$
                                                  type: string
                                                maxItems: 24
                                                type: array
                                              props:
                                                additionalProperties: false
                                                properties:
                                                  tags:
                                                    items:
                                                      anyOf:
                                                        - {}
                                                        - type: 'null'
                                                    maxItems: 12
                                                    minItems: 1
                                                    type: array
                                                required:
                                                  - tags
                                                type: object
                                              type:
                                                const: TagCloud
                                            required:
                                              - props
                                              - type
                                            type: object
                                          - additionalProperties: false
                                            properties:
                                              children:
                                                default: []
                                                items:
                                                  maxLength: 80
                                                  minLength: 1
                                                  pattern: ^[a-zA-Z0-9_-]+$
                                                  type: string
                                                maxItems: 24
                                                type: array
                                              props:
                                                additionalProperties: false
                                                properties:
                                                  metrics:
                                                    items:
                                                      anyOf:
                                                        - {}
                                                        - type: 'null'
                                                    maxItems: 4
                                                    minItems: 1
                                                    type: array
                                                required:
                                                  - metrics
                                                type: object
                                              type:
                                                const: MetricStrip
                                            required:
                                              - props
                                              - type
                                            type: object
                                          - additionalProperties: false
                                            properties:
                                              children:
                                                default: []
                                                items:
                                                  maxLength: 80
                                                  minLength: 1
                                                  pattern: ^[a-zA-Z0-9_-]+$
                                                  type: string
                                                maxItems: 24
                                                type: array
                                              props:
                                                additionalProperties: false
                                                properties:
                                                  items:
                                                    items:
                                                      anyOf:
                                                        - {}
                                                        - type: 'null'
                                                    maxItems: 6
                                                    minItems: 2
                                                    type: array
                                                required:
                                                  - items
                                                type: object
                                              type:
                                                const: Milestones
                                            required:
                                              - props
                                              - type
                                            type: object
                                          - additionalProperties: false
                                            properties:
                                              children:
                                                default: []
                                                items:
                                                  maxLength: 80
                                                  minLength: 1
                                                  pattern: ^[a-zA-Z0-9_-]+$
                                                  type: string
                                                maxItems: 24
                                                type: array
                                              props:
                                                additionalProperties: false
                                                properties:
                                                  columns:
                                                    items:
                                                      anyOf:
                                                        - {}
                                                        - type: 'null'
                                                    maxItems: 4
                                                    minItems: 2
                                                    type: array
                                                  rows:
                                                    items:
                                                      anyOf:
                                                        - {}
                                                        - type: 'null'
                                                    maxItems: 10
                                                    minItems: 1
                                                    type: array
                                                required:
                                                  - columns
                                                  - rows
                                                type: object
                                              type:
                                                const: Table
                                            required:
                                              - props
                                              - type
                                            type: object
                                          - additionalProperties: false
                                            properties:
                                              children:
                                                default: []
                                                items:
                                                  maxLength: 80
                                                  minLength: 1
                                                  pattern: ^[a-zA-Z0-9_-]+$
                                                  type: string
                                                maxItems: 24
                                                type: array
                                              props:
                                                additionalProperties: false
                                                properties:
                                                  data:
                                                    items:
                                                      anyOf:
                                                        - {}
                                                        - type: 'null'
                                                    maxItems: 25
                                                    minItems: 1
                                                    type: array
                                                  kind:
                                                    default: line
                                                    enum:
                                                      - bar
                                                      - line
                                                    type: string
                                                  summary:
                                                    maxLength: 240
                                                    type: string
                                                  title:
                                                    maxLength: 120
                                                    minLength: 1
                                                    type: string
                                                  totalLabel:
                                                    maxLength: 80
                                                    minLength: 1
                                                    type: string
                                                  valueLabel:
                                                    maxLength: 48
                                                    minLength: 1
                                                    type: string
                                                required:
                                                  - data
                                                type: object
                                              type:
                                                const: Chart
                                            required:
                                              - props
                                              - type
                                            type: object
                                          - additionalProperties: false
                                            properties:
                                              children:
                                                default: []
                                                items:
                                                  maxLength: 80
                                                  minLength: 1
                                                  pattern: ^[a-zA-Z0-9_-]+$
                                                  type: string
                                                maxItems: 24
                                                type: array
                                              props:
                                                additionalProperties: false
                                                properties:
                                                  summary:
                                                    maxLength: 240
                                                    type: string
                                                  title:
                                                    maxLength: 120
                                                    minLength: 1
                                                    type: string
                                                  totalLabel:
                                                    maxLength: 80
                                                    minLength: 1
                                                    type: string
                                                  weeklyActivity:
                                                    items:
                                                      anyOf:
                                                        - {}
                                                        - type: 'null'
                                                    maxItems: 25
                                                    minItems: 1
                                                    type: array
                                                required:
                                                  - weeklyActivity
                                                type: object
                                              type:
                                                const: ActivityChart
                                            required:
                                              - props
                                              - type
                                            type: object
                                          - additionalProperties: false
                                            properties:
                                              children:
                                                default: []
                                                items:
                                                  maxLength: 80
                                                  minLength: 1
                                                  pattern: ^[a-zA-Z0-9_-]+$
                                                  type: string
                                                maxItems: 24
                                                type: array
                                              props:
                                                additionalProperties: false
                                                properties:
                                                  items:
                                                    items:
                                                      anyOf:
                                                        - {}
                                                        - type: 'null'
                                                    maxItems: 6
                                                    minItems: 1
                                                    type: array
                                                required:
                                                  - items
                                                type: object
                                              type:
                                                const: Timeline
                                            required:
                                              - props
                                              - type
                                            type: object
                                          - additionalProperties: false
                                            properties:
                                              children:
                                                default: []
                                                items:
                                                  maxLength: 80
                                                  minLength: 1
                                                  pattern: ^[a-zA-Z0-9_-]+$
                                                  type: string
                                                maxItems: 24
                                                type: array
                                              props:
                                                additionalProperties: false
                                                properties:
                                                  body:
                                                    maxLength: 700
                                                    minLength: 1
                                                    type: string
                                                  title:
                                                    maxLength: 120
                                                    minLength: 1
                                                    type: string
                                                  tone:
                                                    default: info
                                                    enum:
                                                      - calm
                                                      - error
                                                      - info
                                                      - neutral
                                                      - success
                                                      - warning
                                                    type: string
                                                required:
                                                  - body
                                                  - title
                                                type: object
                                              type:
                                                const: Callout
                                            required:
                                              - props
                                              - type
                                            type: object
                                          - additionalProperties: false
                                            properties:
                                              children:
                                                default: []
                                                items:
                                                  maxLength: 80
                                                  minLength: 1
                                                  pattern: ^[a-zA-Z0-9_-]+$
                                                  type: string
                                                maxItems: 24
                                                type: array
                                              props:
                                                additionalProperties: false
                                                properties:
                                                  actionLabel:
                                                    default: Hand Ticket to Agent
                                                    maxLength: 80
                                                    minLength: 1
                                                    type: string
                                                  actions:
                                                    items:
                                                      anyOf:
                                                        - {}
                                                        - type: 'null'
                                                    maxItems: 4
                                                    type: array
                                                  body:
                                                    maxLength: 900
                                                    minLength: 1
                                                    type: string
                                                required:
                                                  - body
                                                type: object
                                              type:
                                                const: Recommendation
                                            required:
                                              - props
                                              - type
                                            type: object
                                          - additionalProperties: false
                                            properties:
                                              children:
                                                default: []
                                                items:
                                                  maxLength: 80
                                                  minLength: 1
                                                  pattern: ^[a-zA-Z0-9_-]+$
                                                  type: string
                                                maxItems: 24
                                                type: array
                                              props:
                                                additionalProperties: false
                                                properties:
                                                  people:
                                                    items:
                                                      anyOf:
                                                        - {}
                                                        - type: 'null'
                                                    maxItems: 8
                                                    minItems: 1
                                                    type: array
                                                required:
                                                  - people
                                                type: object
                                              type:
                                                const: PeopleList
                                            required:
                                              - props
                                              - type
                                            type: object
                                          - additionalProperties: false
                                            properties:
                                              children:
                                                default: []
                                                items:
                                                  maxLength: 80
                                                  minLength: 1
                                                  pattern: ^[a-zA-Z0-9_-]+$
                                                  type: string
                                                maxItems: 24
                                                type: array
                                              props:
                                                additionalProperties: false
                                                properties:
                                                  topics:
                                                    items:
                                                      anyOf:
                                                        - {}
                                                        - type: 'null'
                                                    maxItems: 8
                                                    minItems: 1
                                                    type: array
                                                required:
                                                  - topics
                                                type: object
                                              type:
                                                const: TopicList
                                            required:
                                              - props
                                              - type
                                            type: object
                                          - additionalProperties: false
                                            properties:
                                              children:
                                                default: []
                                                items:
                                                  maxLength: 80
                                                  minLength: 1
                                                  pattern: ^[a-zA-Z0-9_-]+$
                                                  type: string
                                                maxItems: 24
                                                type: array
                                              props:
                                                additionalProperties: false
                                                properties:
                                                  href:
                                                    maxLength: 240
                                                    type: string
                                                  hrefLabel:
                                                    maxLength: 80
                                                    type: string
                                                  label:
                                                    maxLength: 80
                                                    minLength: 1
                                                    type: string
                                                  tone:
                                                    default: neutral
                                                    enum:
                                                      - calm
                                                      - error
                                                      - info
                                                      - neutral
                                                      - success
                                                      - warning
                                                    type: string
                                                  value:
                                                    maxLength: 240
                                                    minLength: 1
                                                    type: string
                                                required:
                                                  - label
                                                  - value
                                                type: object
                                              type:
                                                const: StatusBlock
                                            required:
                                              - props
                                              - type
                                            type: object
                                          - additionalProperties: false
                                            properties:
                                              children:
                                                default: []
                                                items:
                                                  maxLength: 80
                                                  minLength: 1
                                                  pattern: ^[a-zA-Z0-9_-]+$
                                                  type: string
                                                maxItems: 24
                                                type: array
                                              props:
                                                additionalProperties: false
                                                properties:
                                                  author:
                                                    maxLength: 120
                                                    type: string
                                                  avatar:
                                                    maxLength: 4
                                                    minLength: 1
                                                    type: string
                                                  avatarUrl:
                                                    format: uri
                                                    type: string
                                                  avatars:
                                                    items:
                                                      anyOf:
                                                        - {}
                                                        - type: 'null'
                                                    maxItems: 4
                                                    type: array
                                                  entityRef:
                                                    additionalProperties: false
                                                    properties:
                                                      id: {}
                                                      type: {}
                                                    type: object
                                                  hrefSlug:
                                                    maxLength: 120
                                                    minLength: 1
                                                    pattern: ^[a-z0-9-]+$
                                                    type: string
                                                  quote:
                                                    maxLength: 700
                                                    type: string
                                                  reportedBy:
                                                    maxLength: 160
                                                    minLength: 1
                                                    type: string
                                                  reportedMeta:
                                                    maxLength: 160
                                                    minLength: 1
                                                    type: string
                                                  sourceHref:
                                                    maxLength: 240
[...]
